Welcome to the New BigPanda API Documentation
🚧 Complete integration ID needed When updating a webhook v2 configuration, you will need the complete integration ID, including the parent integration (For example: snmp.la_site_east). If you don’t know your integration ID, you can find it by opening the integration details in the Integrations tab.
🚧 AI Processing delay AI tags are generated at a 1-3 minute delay after initial incident processing. To include AI tags in static messages such as email, ensure the AutoShare is configured at a 3 minute delay.
🚧 Only webhook v2 dynamic variables Custom email templates have a different set of available variables than webhook v2 integrations. Fields retrieved by the Dynamic Variables API are explicitly for webhook v2 and may not be available for email templates. See our dynamic variables documentation for the list of fields available for email templates.
curl --location --request PATCH 'https://api.bigpanda.io/resources/v2.1/integrations/webhook_v2.p0channel' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"workflow_config": {
"events": [
{
"enabled": true,
"body": "{\n \"incident_start\": \"{{incident.start}}\",\n \"assigner\": \"Assigned by {{assigner.username}}\",\n \"assignee\": \"Assigned to {{assignee.username}}\",\n \"primary_alert_host\": \"{{primaryAlert.tags.host}}\",\n \"priority\": \"{{incidentTags.itd_priority_1}}\",\n \"nested_values\": {\n \"double_nested_values\": {\n \"primary_alert_check\": \"'\''{{primaryAlert.tags.check}}'\''\",\n \"incident_updated\": \"{{incident.updated_at}}\"\n }\n }\n}",
"headers": "\"x-client-id\" : \"{{ primaryAlert.tags.host }}\"\n",
"path": "/incident/{{incident.id}}",
"authorization": "Bearer {{incidentTags.itd_applications_1}}",
"method": "POST"
}
],
"config": {
"base_url": "string",
"expects_callbacks": true
}
}
}'[
{
"name": "demo",
"parent_system_id": "webhook_v2",
"workflow_config": {
"events": [
{
"enabled": true,
"body": "{\n \"incident_start\": \"{{incident.start}}\",\n \"assigner\": \"Assigned by {{assigner.username}}\",\n \"assignee\": \"Assigned to {{assignee.username}}\",\n \"primary_alert_host\": \"{{primaryAlert.tags.host}}\",\n \"priority\": \"{{incidentTags.itd_priority_1}}\",\n \"nested_values\": {\n \"double_nested_values\": {\n \"primary_alert_check\": \"'{{primaryAlert.tags.check}}'\",\n \"incident_updated\": \"{{incident.updated_at}}\"\n }\n }\n}",
"headers": "\"x-client-id\" : \"{{ primaryAlert.tags.host }}\"\n",
"path": "/incident/{{incident.id}}",
"authorization": "Bearer {{incidentTags.itd_applications_1}}",
"method": "POST"
}
],
"config": {
"base_url": "string",
"expects_callbacks": true
}
}
}
]